//Task: game
//Author: Kinka Kirilowa-Lupanowa

#include <stdio.h>
#include <vector>
#include <algorithm>
using namespace std;

int main() {
  int n;
  scanf("%d", &n);
  vector<vector<int> > a(n, vector<int>(n));
  for (int i = 0; i < n; i++) 
  {
    for (int j = 0; j < n; j++) 
      scanf("%d", &a[i][j]);
  }
  vector<int> max(n);
  for (int i = 0; i < n; i++) 
  {
    for (int j = 0; j < n; j++) 
      max[i] = std::max(max[i], a[i][j]);
  }
  vector<int> sum(2);
  for (int k = 1; k <= n * n; k++)
  {
    int minI = 0;
    for (int i = 1; i < n; i++) 
      if (max[i] > 0 && (max[i] < max[minI] || max[minI] == 0) ) 
        minI = i;
    sum[k % 2] += max[minI];
    for (int j = 0; j < n; j++) 
    {
      if (a[minI][j] == max[minI])
       {
        a[minI][j] = 0;
        break;
      }
    }
    max[minI] = 0;
    for (int j = 0; j < n; j++) 
         max[minI] = std::max(max[minI], a[minI][j]);
  }
  printf("%d %d\n", sum[0], sum[1]);
  scanf("%d", &n);
  return 0;
}
